<?php
/**
 * @package     ReveChat
 * @subpackage  ReveChat
 * @copyright   Copyright (C) 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
?>
<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');
class plgSystemRevechat extends JPlugin
{
    function onAfterInitialise()
    {
        $app = JFactory::getApplication();

        // skip if admin page
        if($app->isAdmin())
        {
            return;
        }

        $sql = "select * from #__revechat limit 1";
        $db     =JFactory::getDBO();
        $db->setQuery($sql );


        if($result = $db->query())
        {
            $rows = $db->getNumRows();
            if($rows != 0)
            {
                $revechat_data = $db->loadAssocList();
                $revechat_aid  = $revechat_data[0]["revechat_aid"];
            }

            $script = '';
            if($revechat_aid != 0){
                // embed revechat code
                $script = 'window.$_REVECHAT_API || (function(d, w) { var r = $_REVECHAT_API = function(c) {r._.push(c);}; w.__revechat_account="'.$revechat_aid.'";w.__revechat_version=2;
                               r._= []; var rc = d.createElement(\'script\'); rc.type = \'text/javascript\'; rc.async = true; rc.setAttribute(\'charset\', \'utf-8\');
                               rc.src = (\'https:\' == document.location.protocol ? \'https://\' : \'http://\') + \'static.revechat.com/widget/scripts/new-livechat.js?\'+new Date().getTime();
                               var s = d.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(rc, s);
                             })(document, window);';

            }
            
            $document =  JFactory::getDocument();
            $document->addScriptDeclaration($script);
        }
    }
}